Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.clips
Class Parser

    java.lang.Object
      edu.stanford.smi.protege.storage.clips.Parser

All Implemented Interfaces:
  ParserConstants

    public final class Parser

extends Object
implements ParserConstants

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`ParserTokenManager` | `token_source`

Fields inherited from interface edu.stanford.smi.protege.storage.clips.ParserConstants
`ABSTRACT, ACCESS, ALLOWED_CLASSES, ALLOWED_FLOATS, ALLOWED_GRAMMAR, ALLOWED_INTEGERS, ALLOWED_PARENTS, ALLOWED_STRINGS, ALLOWED_SYMBOLS, ALLOWED_VALUES, ANY, ASSOCIATED_FACET, BLANK_COMMENT, BRA, BUILD, CARDINALITY, COMMENT, COMMENT_LINE, COMPOSITE, CONCRETE, CREATE_ACCESSOR, DEFAULT, DEFAULT_, DEFCLASS, EOF, EOL, EXCLUSIVE, EXTENSION, FLOAT, INCLUDE, INHERIT, INITIALIZER_ONLY, INSTANCE, INSTANCE_NAME_LITERAL, INTEGER, INVERSE_SLOT, IS_A, KET, LOCAL, LPAREN, MULTISLOT, NO_INHERIT, NON_REACTIVE, NOTE, OF, OVERRIDE_MESSAGE, PATTERN_MATCH, PRIVATE, PROPAGATION, PUBLIC, QUESTION_DEFAULT, QUESTION_NONE, RANGE, REACTIVE, READ, READ_ONLY, READ_WRITE, ROLE, RPAREN, SHARED, SINGLE_SLOT, SLOT, SOURCE, STORAGE, STRING, STRING_LITERAL, SUBSLOT_OF, SYMBOL, SYMBOL_CHAR_MIDDLE, SYMBOL_CHAR_START, SYMBOL_LITERAL, TEXT_COMMENT, tokenImage, TYPE, USER_FACET, VALUE, VERSION, VISIBILITY, WRITE`

Constructor Summary
`Parser(InputStream stream)`
`Parser(ParserTokenManager tm)`
`Parser(Reader stream)`

Method Summary
`void` | `accessFacet(Cls cls, Slot slot)`
`void` | `allowedClassesValueDescription(Cls cls, Slot slot)`
`void` | `allowedConstantValueDescription(Cls cls, Slot slot)`
`void` | `allowedConstantValueDescriptionExtension(Cls cls, Slot slot)`
`void` | `allowedFloatsValueDescription(Cls cls, Slot slot)`
`void` | `allowedGrammarValueDescription(Cls cls, Slot slot)`
`void` | `allowedIntegersValueDescription(Cls cls, Slot slot)`
`void` | `allowedParentsValueDescription(Cls cls, Slot slot)`
`void` | `allowedStringsValueDescription(Cls cls, Slot slot)`
`void` | `allowedSymbolsValueDescription(Cls cls, Slot slot)`
`void` | `allowedValuesValueDescription(Cls cls, Slot slot)`
`void` | `associatedFacet(Cls cls, Slot slot)`
`void` | `cardinalityValueDescription(Cls cls, Slot slot)`
`void` | `cls()`
`List` | `clsesList()`
`Cls` | `clsReference()`
`void` | `clsRole(Cls cls)`
`Object` | `constant()`
`List` | `constants()`
`void` | `constraintValueDescription(Cls cls, Slot slot)`
`void` | `constraintValueDescriptionExtension(Cls cls, Slot slot)`
`void` | `createAccessorFacet(Cls cls, Slot slot)`
`void` | `defaultFacet(Cls cls, Slot slot)`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`static boolean` | `equals(Object o1, Object o2)`
`void` | `facet(Cls cls, Slot slot)`
`String` | `facetName()`
`void` | `facetStatement(Cls cls, Slot slot)`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `includeOntologies()`
`void` | `instance()`
`String` | `instanceName()`
`Instance` | `instanceReference()`
`void` | `inverseSlotProperty(Cls cls, Slot slot)`
`String` | `keyword()`
`void` | `loadClses(KnowledgeBase kb, boolean isIncluded, Collection errors)`
`void` | `loadInstances(KnowledgeBase kb, boolean isIncluded, Collection errors)`
`void` | `oldStuff()`
`void` | `overrideMessageFacet(Frame frame, Slot slot)`
`void` | `parseKnowledgeBase()`
`void` | `parseOntology()`
`void` | `patternMatchFacet(Frame frame, Slot slot)`
`void` | `patternMatchRole(Frame frame, Slot slot)`
`void` | `propagationFacet(Frame frame, Slot slot)`
`void` | `rangeValueDescription(Cls cls, Slot slot)`
`void` | `ReInit(InputStream stream)`
`void` | `ReInit(ParserTokenManager tm)`
`void` | `ReInit(Reader stream)`
`void` | `slot(Cls cls)`
`boolean` | `slotCardinality()`
`void` | `slotDocumentationFacet(Cls cls, Slot slot)`
`String` | `slotName()`
`void` | `slotValue(Instance instance, Collection directTypes)`
`void` | `slotValueFieldProperty()`
`Collection` | `slotValueFields(Instance instance, Slot slot, ValueType type)`
`void` | `sourceFacet(Cls cls, Slot slot)`
`void` | `storageFacet(Cls cls, Slot slot)`
`String` | `string()`
`void` | `superslotProperty(Cls cls, Slot slot)`
`String` | `symbol()`
`void` | `templateSlotValueFacet(Cls cls, Slot slot)`
`String` | `toString()`
`void` | `typeValueDescription(Cls cls, Slot slot)`
`void` | `userFacet(Cls cls, Slot slot)`
`void` | `versionInfo()`
`void` | `visibilityFacet(Cls cls, Slot slot)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### token_source

    public ParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### Parser

    public Parser(InputStream stream)

### Parser

    public Parser(Reader stream)

### Parser

    public Parser(ParserTokenManager tm)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### loadClses

    public void loadClses(KnowledgeBase kb,
                          boolean isIncluded,
                          Collection errors)

### loadInstances

    public void loadInstances(KnowledgeBase kb,
                              boolean isIncluded,
                              Collection errors)

### equals

    public static boolean equals(Object o1,
                                 Object o2)

### accessFacet

    public final void accessFacet(Cls cls,
                                  Slot slot)
                           throws ParseException

  Throws:
    `ParseException`

### allowedClassesValueDescription

    public final void allowedClassesValueDescription(Cls cls,
                                                     Slot slot)
                                              throws ParseException

  Throws:
    `ParseException`

### allowedConstantValueDescription

    public final void allowedConstantValueDescription(Cls cls,
                                                      Slot slot)
                                               throws ParseException

  Throws:
    `ParseException`

### allowedConstantValueDescriptionExtension

    public final void allowedConstantValueDescriptionExtension(Cls cls,
                                                               Slot slot)
                                                        throws ParseException

  Throws:
    `ParseException`

### allowedFloatsValueDescription

    public final void allowedFloatsValueDescription(Cls cls,
                                                    Slot slot)
                                             throws ParseException

  Throws:
    `ParseException`

### allowedGrammarValueDescription

    public final void allowedGrammarValueDescription(Cls cls,
                                                     Slot slot)
                                              throws ParseException

  Throws:
    `ParseException`

### allowedIntegersValueDescription

    public final void allowedIntegersValueDescription(Cls cls,
                                                      Slot slot)
                                               throws ParseException

  Throws:
    `ParseException`

### allowedParentsValueDescription

    public final void allowedParentsValueDescription(Cls cls,
                                                     Slot slot)
                                              throws ParseException

  Throws:
    `ParseException`

### allowedStringsValueDescription

    public final void allowedStringsValueDescription(Cls cls,
                                                     Slot slot)
                                              throws ParseException

  Throws:
    `ParseException`

### allowedSymbolsValueDescription

    public final void allowedSymbolsValueDescription(Cls cls,
                                                     Slot slot)
                                              throws ParseException

  Throws:
    `ParseException`

### allowedValuesValueDescription

    public final void allowedValuesValueDescription(Cls cls,
                                                    Slot slot)
                                             throws ParseException

  Throws:
    `ParseException`

### cardinalityValueDescription

    public final void cardinalityValueDescription(Cls cls,
                                                  Slot slot)
                                           throws ParseException

  Throws:
    `ParseException`

### cls

    public final void cls()
                   throws ParseException

  Throws:
    `ParseException`

### clsReference

    public final Cls clsReference()
                           throws ParseException

  Throws:
    `ParseException`

### clsesList

    public final List clsesList()
                         throws ParseException

  Throws:
    `ParseException`

### clsRole

    public final void clsRole(Cls cls)
                       throws ParseException

  Throws:
    `ParseException`

### constant

    public final Object constant()
                          throws ParseException

  Throws:
    `ParseException`

### constants

    public final List constants()
                         throws ParseException

  Throws:
    `ParseException`

### constraintValueDescription

    public final void constraintValueDescription(Cls cls,
                                                 Slot slot)
                                          throws ParseException

  Throws:
    `ParseException`

### constraintValueDescriptionExtension

    public final void constraintValueDescriptionExtension(Cls cls,
                                                          Slot slot)
                                                   throws ParseException

  Throws:
    `ParseException`

### createAccessorFacet

    public final void createAccessorFacet(Cls cls,
                                          Slot slot)
                                   throws ParseException

  Throws:
    `ParseException`

### defaultFacet

    public final void defaultFacet(Cls cls,
                                   Slot slot)
                            throws ParseException

  Throws:
    `ParseException`

### facetName

    public final String facetName()
                           throws ParseException

  Throws:
    `ParseException`

### userFacet

    public final void userFacet(Cls cls,
                                Slot slot)
                         throws ParseException

  Throws:
    `ParseException`

### templateSlotValueFacet

    public final void templateSlotValueFacet(Cls cls,
                                             Slot slot)
                                      throws ParseException

  Throws:
    `ParseException`

### facet

    public final void facet(Cls cls,
                            Slot slot)
                     throws ParseException

  Throws:
    `ParseException`

### facetStatement

    public final void facetStatement(Cls cls,
                                     Slot slot)
                              throws ParseException

  Throws:
    `ParseException`

### includeOntologies

    public final void includeOntologies()
                                 throws ParseException

  Throws:
    `ParseException`

### instance

    public final void instance()
                        throws ParseException

  Throws:
    `ParseException`

### instanceName

    public final String instanceName()
                              throws ParseException

  Throws:
    `ParseException`

### instanceReference

    public final Instance instanceReference()
                                     throws ParseException

  Throws:
    `ParseException`

### oldStuff

    public final void oldStuff()
                        throws ParseException

  Throws:
    `ParseException`

### overrideMessageFacet

    public final void overrideMessageFacet(Frame frame,
                                           Slot slot)
                                    throws ParseException

  Throws:
    `ParseException`

### versionInfo

    public final void versionInfo()
                           throws ParseException

  Throws:
    `ParseException`

### parseKnowledgeBase

    public final void parseKnowledgeBase()
                                  throws ParseException

  Throws:
    `ParseException`

### parseOntology

    public final void parseOntology()
                             throws ParseException

  Throws:
    `ParseException`

### patternMatchFacet

    public final void patternMatchFacet(Frame frame,
                                        Slot slot)
                                 throws ParseException

  Throws:
    `ParseException`

### patternMatchRole

    public final void patternMatchRole(Frame frame,
                                       Slot slot)
                                throws ParseException

  Throws:
    `ParseException`

### propagationFacet

    public final void propagationFacet(Frame frame,
                                       Slot slot)
                                throws ParseException

  Throws:
    `ParseException`

### rangeValueDescription

    public final void rangeValueDescription(Cls cls,
                                            Slot slot)
                                     throws ParseException

  Throws:
    `ParseException`

### slot

    public final void slot(Cls cls)
                    throws ParseException

  Throws:
    `ParseException`

### slotCardinality

    public final boolean slotCardinality()
                                  throws ParseException

  Throws:
    `ParseException`

### slotDocumentationFacet

    public final void slotDocumentationFacet(Cls cls,
                                             Slot slot)
                                      throws ParseException

  Throws:
    `ParseException`

### inverseSlotProperty

    public final void inverseSlotProperty(Cls cls,
                                          Slot slot)
                                   throws ParseException

  Throws:
    `ParseException`

### superslotProperty

    public final void superslotProperty(Cls cls,
                                        Slot slot)
                                 throws ParseException

  Throws:
    `ParseException`

### associatedFacet

    public final void associatedFacet(Cls cls,
                                      Slot slot)
                               throws ParseException

  Throws:
    `ParseException`

### slotName

    public final String slotName()
                          throws ParseException

  Throws:
    `ParseException`

### slotValue

    public final void slotValue(Instance instance,
                                Collection directTypes)
                         throws ParseException

  Throws:
    `ParseException`

### slotValueFields

    public final Collection slotValueFields(Instance instance,
                                            Slot slot,
                                            ValueType type)
                                     throws ParseException

  Throws:
    `ParseException`

### slotValueFieldProperty

    public final void slotValueFieldProperty()
                                      throws ParseException

  Throws:
    `ParseException`

### sourceFacet

    public final void sourceFacet(Cls cls,
                                  Slot slot)
                           throws ParseException

  Throws:
    `ParseException`

### storageFacet

    public final void storageFacet(Cls cls,
                                   Slot slot)
                            throws ParseException

  Throws:
    `ParseException`

### string

    public final String string()
                        throws ParseException

  Throws:
    `ParseException`

### symbol

    public final String symbol()
                        throws ParseException

  Throws:
    `ParseException`

### typeValueDescription

    public final void typeValueDescription(Cls cls,
                                           Slot slot)
                                    throws ParseException

  Throws:
    `ParseException`

### visibilityFacet

    public final void visibilityFacet(Cls cls,
                                      Slot slot)
                               throws ParseException

  Throws:
    `ParseException`

### keyword

    public final String keyword()
                         throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(ParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.